import 'package:flutter/material.dart';
import 'package:simplest/simplest.dart';

import 'cubit/home_cubit.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Simplest Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: HomeWidget(),
    );
  }
}

class HomeWidget extends CubitWidget<HomeCubit, HomeState> {
  @override
  void afterFirstLayout(BuildContext context) {
    // TODO: implement afterFirstLayout
  }

  @override
  Widget builder(BuildContext context, HomeState state) {
    return Scaffold(
      body: Center(child: Text('Home Screen')),
    );
  }
}
