import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

hideStatusBar() {
  SystemChrome.setEnabledSystemUIOverlays([]);
}

showStatusBar() {
  SystemChrome.setEnabledSystemUIOverlays(SystemUiOverlay.values);
}

hideKeyboard(BuildContext context, {FocusNode focusNode}) {
  if (focusNode != null) {
    if (focusNode.hasPrimaryFocus) {
      focusNode.unfocus();
    } else {
      FocusScope.of(context).unfocus();
    }
  } else {
    // FocusScope.of(context).requestFocus(new FocusNode());
    FocusScope.of(context).unfocus();
  }
}
